




#ifndef __IMAGER_GTKHLP_H__
#define __IMAGER_GTKHLP_H__

#include <gtk/gtk.h>

/* Useful for option menus */

int menuopt0;
int menuopt1;
int menuopt2;
int menuopt3;
int menuopt4;
int menuopt5;
int menuopt6;
int menuopt7;
int menuopt8;
int menuopt9;
int menuopt10;
int menuopt11;
int menuopt12;
int menuopt13;
int menuopt14;
int menuopt15;
int menuopt16;
int menuopt17;
int menuopt18;
int menuopt19;
int menuopt20;


/****************************************************************

	Macro-like functions that simplify life with gtk objects
	
****************************************************************/


GtkWidget* Menuitem (GtkWidget* toplevel, GtkWidget* target, gpointer signal, const gchar* label, const gchar* intref);

GtkWidget* Makesubmenu (GtkWidget* toplevel, GtkWidget* target, const gchar* intref);

GtkWidget* Make_Optionmenu (GtkWidget* toplevel, GtkWidget* target, 
						const gchar* intref, int x, int y);

GtkWidget* Option_menuitem (GtkWidget* target, 
						gpointer signal, const gchar* label, gpointer optionvalue);

GtkWidget* MakeLabel (GtkWidget* toplevel, GtkWidget* target, const gchar* lbltxt, 
					  const gchar* intref, int tblx, int tbly);

GtkWidget* MakeHsep (GtkWidget* toplevel, GtkWidget* target, 
					  const gchar* intref, int tblx, int tbly);

GtkWidget* MakeVsep (GtkWidget* toplevel, GtkWidget* target, 
					  const gchar* intref, int tblx, int tbly);
					  
GtkWidget* MakeHScale (GtkAdjustment* adjust, GtkWidget* toplevel, GtkWidget* target,
					  const gchar* intref, int tblx, int tbly);

GtkWidget* MakeSpinbutton (GtkAdjustment* adjust, GtkWidget* toplevel, GtkWidget* target,
					  const gchar* intref, int tblx, int tbly);

GtkWidget* Button_in_table (GtkWidget* toplevel, GtkWidget* target, const gchar* caption, 
					  const gchar* intref, int tblx, int tbly, gpointer signal);

GtkWidget* Togglebutton_in_table (GtkWidget* toplevel, GtkWidget* target, const gchar* caption, 
					  const gchar* intref, int tblx, int tbly, gpointer signal);

GtkWidget* Checkbutton_in_table (GtkWidget* toplevel, GtkWidget* target, const gchar* caption, 
					  const gchar* intref, int tblx, int tbly, gpointer signal);

GtkWidget* Entry_in_table (GtkWidget* toplevel, GtkWidget* target, const gchar* caption, 
					  const gchar* intref, int tblx, int tbly);

GtkWidget* vbox_in_window (GtkWidget* toplevel, gchar* intref);

GtkWidget* hbox_in_window (GtkWidget* toplevel, GtkWidget* target, gchar* intref);

GtkWidget* MakeTable (GtkWidget* toplevel, GtkWidget* target, gchar* intref, int sizex, int sizey);


#endif
