

#ifndef __IMAGER_MORPHOP_H__
#define __IMAGER_MORPHOP_H__

#include "defs.h"

void make_fatetbl();
int skel_numneigh (image_type* img, int x0, int y0);
void skeletonize (image_type* img, int slice, float threshold);
void skel_prune (image_type *img, int prunelen);
void skel_statistics (image_type* img, char* report);
void skel_main ();

float morph_val_float (MORPHOP what, float* m, int n, float origval);
int morph_val_int (MORPHOP what, int* m, int n, int origval);
void morph_img (image_type* img, MORPHOP what, int z, int foureight);
void morph_main ();



#endif
