

/* vertanalysis.h -- Vertebral bone analysis with CT */


#ifndef __IMAGER_VERTANA_H
#define __IMAGER_VERTANA_H


#include "defs.h"

#define MAXRIDGE 2048

typedef struct
{
	int x;
	int y;
	float val;
}
ridge_element;

ridge_element ridge[MAXRIDGE];
int ridgemax;


void vertebrae_main (int searchlen, int fboxsize, float fThresh);
void vertebrae_meas (int searchlen, int fboxsize, float fThresh);

void vessel_meas (int searchlen, int fboxsize, float fThresh);
void vessel_meas_all (int searchlen, int fboxsize, float fThresh);

#endif
